Skip to content

Create Visual Project

POST
/api/creative/visual-studio/projects

Create a new visual/creative project, scoped to the active project.

CreateVisualProjectRequest

Request model for creating a new visual project.

All required fields for initializing a new creative project.

Attributes: id: Project ID (user-provided or auto-generated) name: Project name description: Project description status: Initial status (default: draft) tags: Initial tags list

object
name
required
Name

Project name

string
description
required
Description

Project description

string
status
Status

Project status

string
default: active
tags
Tags

Project tags

Array<string>

Successful Response

VisualProjectOperationResponse

Response model for project CRUD operations.

Indicates success/failure of project operations with optional project data and error messages.

Attributes: success: Whether operation succeeded project: Created/updated project (if successful) error: Error message (if failed)

object
success
required
Success

Operation success status

boolean
project
Any of:
VisualProject

Visual/creative project model for API responses.

Represents a complete visual project with metadata, status, and associated asset counts.

Attributes: id: Unique project identifier name: Human-readable project name description: Detailed project description status: Project status (active, archived, completed) created_at: Unix timestamp of creation updated_at: Unix timestamp of last update tags: List of categorization tags asset_count: Number of assets in project thumbnail_url: Optional thumbnail image URL

object
id
required
Id

Project ID

string
name
required
Name

Project name

string
description
required
Description

Project description

string
status
required
Status

Project status

string
createdAt
required
Createdat

Creation timestamp

integer
updatedAt
required
Updatedat

Last update timestamp

integer
tags
Tags

Project tags

Array<string>
assetCount
Assetcount

Asset count

integer
0
thumbnailUrl
Any of:
string
error
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object